gtkmm: Gtk::ChildPropertyProxy_Base Class Reference

gtkmm 3.17.50

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Gtk::ChildPropertyProxy_Base Class Reference

`#include <gtkmm/childpropertyproxy_base.h>`

Inheritance diagram for Gtk::ChildPropertyProxy_Base:
[legend]

## Public Member Functions
| ChildPropertyProxy_Base (Container* parent, Widget& child, const char* property_name)
| ChildPropertyProxy_Base (const ChildPropertyProxy_Base& other)
SignalProxyChildProperty | signal_changed ()
Container* | get_parent () const
Widget& | get_child () const
const char* | get_name () const

## Protected Member Functions
void | set_property_ (const Glib::ValueBase& value)
void | get_property_ (Glib::ValueBase& value) const
void | reset_property_ ()

## Protected Attributes
Container* | parent_
Widget& | child_
const char* | property_name_

## Constructor & Destructor Documentation

Gtk::ChildPropertyProxy_Base::ChildPropertyProxy_Base | ( | Container* | parent,
|  | Widget& | child,
|  | const char * | property_name
| ) |  |

Gtk::ChildPropertyProxy_Base::ChildPropertyProxy_Base | ( | const ChildPropertyProxy_Base& | other | ) |

## Member Function Documentation

Widget& Gtk::ChildPropertyProxy_Base::get_child | ( |  | ) | const
| inline

const char* Gtk::ChildPropertyProxy_Base::get_name | ( |  | ) | const
| inline

Container* Gtk::ChildPropertyProxy_Base::get_parent | ( |  | ) | const
| inline

void Gtk::ChildPropertyProxy_Base::get_property_ | ( | Glib::ValueBase & | value | ) | const
| protected

void Gtk::ChildPropertyProxy_Base::reset_property_ | ( |  | ) |
| protected

void Gtk::ChildPropertyProxy_Base::set_property_ | ( | const Glib::ValueBase & | value | ) |
| protected

SignalProxyChildProperty Gtk::ChildPropertyProxy_Base::signal_changed | ( |  | ) |

## Member Data Documentation

Widget& Gtk::ChildPropertyProxy_Base::child_
| protected

Container* Gtk::ChildPropertyProxy_Base::parent_
| protected

const char* Gtk::ChildPropertyProxy_Base::property_name_
| protected